Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 87)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 89)
@@ -1405,4 +1405,5 @@
           CASE ( 'Sw' )
              dopr_index(i) = 39
+             dopr_unit(i)  = 'none'
              hom(:,2,39,:) = SPREAD( zw, 2, statistic_regions+1 )
 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 87)
+++ palm/trunk/SOURCE/modules.f90	(revision 89)
@@ -5,6 +5,6 @@
 ! Actual revisions:
 ! -----------------
-! +data_output_pr_user, max_pr_user, num_user_profiles, size of data_output_pr,
-! dopr_index, dopr_initial_index and dopr_unit enlarged,
+! +data_output_pr_user, max_pr_user, size of data_output_pr, dopr_index,
+! dopr_initial_index and dopr_unit enlarged,
 ! var_hom and var_sum renamed pr_palm
 !
@@ -275,7 +275,7 @@
                 mg_switch_to_pe0_level = 0, ngsrb = 2, nsor = 20, &
                 nsor_ini = 100, n_sor, normalizing_region = 0, &
-                num_user_profiles = 0, nz_do1d, nz_do3d = -9999, &
-                outflow_damping_width = -1, prt_time_count = 0, runnr = 0, &
-                skip_do_avs = 0, timestep_count = 0
+                nz_do1d, nz_do3d = -9999, outflow_damping_width = -1, &
+                prt_time_count = 0, runnr = 0, skip_do_avs = 0, &
+                timestep_count = 0
 
     INTEGER ::  dist_nxl(0:1), dist_nxr(0:1), dist_nyn(0:1), dist_nys(0:1), &
Index: palm/trunk/SOURCE/user_interface.f90
===================================================================
--- palm/trunk/SOURCE/user_interface.f90	(revision 87)
+++ palm/trunk/SOURCE/user_interface.f90	(revision 89)
@@ -70,6 +70,5 @@
 
 
-    NAMELIST /userpar/  data_output_pr_user, data_output_user, max_pr_user, &
-                        region
+    NAMELIST /userpar/  data_output_pr_user, data_output_user, region
 
 !
@@ -89,12 +88,4 @@
     READ ( 11, userpar )
     user_defined_namelist_found = .TRUE.
-
-!
-!-- Determine the maximum number of user-profiles allowed to be calculated.
-!-- This number may be (much) larger than num_user_profiles which only gives
-!-- the number of user-defined profiles to be output.
-    IF ( data_output_pr_user(1) /= ' '  .AND.  max_pr_user == 0 )  THEN
-       max_pr_user = 100
-    ENDIF
 
 !
@@ -109,19 +100,8 @@
        DO  WHILE ( data_output_pr_user(j) /= ' '  .AND.  j <= 100 )
           data_output_pr(i) = data_output_pr_user(j)
-          num_user_profiles = num_user_profiles + 1
+          max_pr_user       = max_pr_user + 1
           i = i + 1
           j = j + 1
        ENDDO
-    ENDIF
-
-    IF ( num_user_profiles > max_pr_user )  THEN
-       IF ( myid == 0 )  THEN
-          PRINT*, '+++ user_parin: number of user-defined profiles given by '
-          PRINT*, '                data_output_pr_user (', num_user_profiles, &
-                                   ') is larger than the allowed maximum'
-          PRINT*, '                number of profiles: max_pr_user(', &
-                                   max_pr_user, ')'
-       ENDIF
-       CALL local_stop
     ENDIF
 
@@ -529,7 +509,9 @@
 !             DO  k = nzb_s_outer(j,i)+1, nzt
 !!
-!!--             Sample on how to calculate the profile for vertical velocity
-!                sums_l(k,pr_palm+1,tn) = sums_l(k,pr_palm+1,tn) +       &
-!                                                 w(k,j,i)               &
+!!--             Sample on how to calculate the profile of the resolved-scale
+!!--             horizontal momentum flux u*v*
+!                sums_l(k,pr_palm+1,tn) = sums_l(k,pr_palm+1,tn) +           &
+!                      ( 0.5 * ( u(k,j,i) + u(k,j,i+1) ) - hom(k,1,1,sr) ) * &
+!                      ( 0.5 * ( v(k,j,i) + v(k,j+1,i) ) - hom(k,1,2,sr) ) * &
 !                                                 * rmask(j,i,sr)
 !!
@@ -770,12 +752,12 @@
 !--    the number "pr_palm+1", the second one "pr_palm+2", etc. The respective
 !--    user-profile-numbers have also to be used in routine user_statistics!
-!       CASE ( 'w_user' )                  ! quantity string as given in
-!                                          ! data_output_pr_user
+!       CASE ( 'u*v*' )                      ! quantity string as given in
+!                                            ! data_output_pr_user
 !          index = pr_palm + 1
-!          dopr_index(var_count)  = index  ! the quantities' user-profile-number
-!          dopr_unit(var_count)   = 'm/s'  ! quantity unit
-!          hom(:,2,index,:)       = SPREAD( zw, 2, statistic_regions+1 )
-!                                          ! grid on which the quantity is
-!                                          ! defined (use zu or zw)
+!          dopr_index(var_count)  = index    ! quantities' user-profile-number
+!          dopr_unit(var_count)   = 'm2/s2'  ! quantity unit
+!          hom(:,2,index,:)       = SPREAD( zu, 2, statistic_regions+1 )
+!                                            ! grid on which the quantity is
+!                                            ! defined (use zu or zw)
 
        CASE DEFAULT
